﻿BEGIN TRANSACTION

DECLARE @NextId bigint
DECLARE @EndOfBlockNextId bigint
DECLARE @IdsRequired bigint

SELECT @IdsRequired = 10

UPDATE KeyTable SET NextId = NextId + @IdsRequired

SELECT @EndOfBlockNextId = NextId FROM KeyTable

SELECT @NextId = @EndOfBlockNextId - @IdsRequired

INSERT INTO EmailTemplate (Id, EmailTemplateType, [Subject], Body, Salutation, Recipient)
VALUES (@NextId, 14, 'Reminder for you', 'This is a reminder for #JOBTITLE# (job order ##JOBID#).

The reminder reads:

#REMINDER#

This is an automated email generated by a reminder in the Focus application suite please do not reply to this address.

Regards  #SENDERNAME#', 'Dear #RECIPIENTNAME#', Null)

SELECT @NextId = @NextId + 1

INSERT INTO EmailTemplate (Id, EmailTemplateType, [Subject], Body, Salutation, Recipient)
VALUES (@NextId, 15, 'New jobseeker matches', 'Your new jobseeker matches for #SAVEDSEARCHNAME# saved search.

#MATCHEDCANDIDATES#

You have received this email as an alert has been set up within Focus/Assist to send to this address.', '', Null)

SELECT @NextId = @NextId + 1

INSERT INTO EmailTemplate (Id, EmailTemplateType, [Subject], Body, Salutation, Recipient)
VALUES (@NextId, 16, 'Sent from #FOCUSTALENT#; Notification of WOTC preferences', 'The following hiring manager in your company has opted to recruit from one or more WOTC programs in Focus Talent.

#HIRINGMANAGERNAME#
#HIRINGMANAGERPHONENUMBER#
#HIRINGMANAGEREMAIL#
#JOBPOSTINGDATE#
#WOTC# 

This is an automated email sent from #FOCUSTALENT#. Please do not reply directly to it.', '', Null)

COMMIT TRANSACTION
